# Get-RASWinDeviceGroup

### NAME

Get-RASWinDeviceGroup\ <br>

### SYNOPSIS

Retrieves the Windows device group\ <br>

### SYNTAX

Get-RASWinDeviceGroup \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroup.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroup.html#CommonParameters)*>*]\
\
Get-RASWinDeviceGroup \[\[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroup.html#Id)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroup.html#CommonParameters)*>*]\
\
Get-RASWinDeviceGroup \[\[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroup.html#Name)] *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASWinDeviceGroup.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves the Windows device group.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
The ID of the Site from which to retrieve the windows device group information.\
\
If the parameter is omitted, the Licensing Server Site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Name \<string>**\
The name of the windows device group from which to retrieve the information.\
\
This must be the actual windows device group name used in the RAS farm.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of a windows device group from which to retrieve the information.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[WinDeviceGroup\[\]](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/WinDeviceGroup\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASWinDeviceGroup\
\
Retrieves the list of Windows device groups.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASWinDeviceGroup -Name "WinDeviceGroup"\
\
Retrieves the Windows device group with name WinDeviceGroup.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASWinDeviceGroup -Id 1\
\
Retrieves the Windows device group with Id 1.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-raswindevicegroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
